org.apache.ignite.streamer

## Interface StreamerFailureListener

    public interface StreamerFailureListener

Streamer failure listener. Asynchronous callback passed to user in case of any failure determined by streamer.

See Also:
  `IgniteStreamer.addStreamerFailureListener(StreamerFailureListener)`

### Method Summary

Methods
`void` `onFailure(String stageName, Collection<Object> evts, Throwable err)` Callback invoked when unrecoverable failure is detected by streamer.

### Method Detail

#### onFailure

    void onFailure(String stageName,
                 Collection<Object> evts,
                 Throwable err)

Callback invoked when unrecoverable failure is detected by streamer.

If `StreamerConfiguration.isAtLeastOnce()` is set to `false`, then this callback will be invoked on node on which failure occurred. If `StreamerConfiguration.isAtLeastOnce()` is set to `true`, then this callback will be invoked on node on which `IgniteStreamer.addEvents(Collection)` or its variant was called. Callback will be called if maximum number of failover attempts exceeded or failover cannot be performed (for example, if router returned `null`).

Parameters:
  `stageName` - Failed stage name.
  `evts` - Failed set of events.
  `err` - Error cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015